<?php
/*
 Plugin Name: Registered Users Only Plugin
 Plugin URI: http://zilvinas.vilutis.lt/plugins/registered-only-plugin
 Description: Activate this plugin to restrict access to your entire weblog to logged in, registered users of the weblog.
 Author: Zilvinas Vilutis
 Version: 0.1
 Author URI: http://zilvinas.vilutis.lt
 */

function registered_users_only() {
    $login_url = "/wp-login.php";
    if ( !is_user_logged_in() && substr( $_SERVER['PHP_SELF'], 0, strlen( $login_url ) ) != $login_url ) {
        auth_redirect();
    }
    
}

add_action('init', 'registered_users_only');
?>